#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define ERROR_LIMIT 1e-15

int main ()
{
   double d, pi, newpi, error;

   d = sqrt(2); pi = (double)4/d; error = pi;
   printf("pi = %17.15lf\n", pi);
   while (error > ERROR_LIMIT) {
      d = sqrt(2+d);
      newpi = pi * 2.0 / d;
      error = newpi - pi;
      pi = newpi;
      printf("pi = %17.15lf\n", pi);
   }
   printf("\nPI = %17.15lf\n", M_PI);

   exit(0);
}
